> For the complete documentation index, see [llms.txt](https://apps.docs.rootflo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apps.docs.rootflo.ai/ai-gold-auditor-app/gold-inspector-data-submission-api.md).

# Gold Inspector Data Submission API

**Endpoint**:POST`https://<base_url>/floware/v1/datasources/<data_source_id>/resources/rf_gold_auditor_data`

#### **Headers**

* `Content-Type`: application/json
* `X-Rootflo-Signature` : HMAC signature
* `X-Rootflo-Key` : HMAC Key&#x20;

{% content-ref url="/pages/dd2YKnoHkmgvYrEIYsIj" %}
[Authentication](/authentication.md)
{% endcontent-ref %}

#### Payload

```
{ 
"data": [
        {// auditor information for loan 1},
        {// auditor information for loan 1}
    ]
}
```

| <p><strong>Field</strong></p><p> </p><p> </p>               | <p><strong>Type</strong></p><p> </p><p> </p>                                                                  | <p><strong>Example</strong></p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ----------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><strong>loan\_id</strong></p><p> </p><p> </p>            | <p>Loan ID</p><p> </p><p> </p>                                                                                | <p>534535345345</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| <p><strong>purity</strong></p><p> </p><p> </p>              | <p>The purity as per auditor</p><p> </p><p> </p>                                                              | <p>91.6</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| <p><strong>stone\_weight</strong></p><p> </p><p> </p>       | <p>stone weight as per auditor</p><p> </p><p> </p>                                                            | <p>6.0</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <p><strong>gross\_weight</strong></p><p> </p><p> </p>       | <p>gross weight as per auditor</p><p> </p><p> </p>                                                            | <p>5.0</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <p><strong>net\_weight</strong></p><p> </p><p> </p>         | <p>net weight as per auditor</p><p> </p><p> </p>                                                              | <p>8.0</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <p><strong>items</strong></p><p> </p><p> </p>               | <p>List of items and there item-wise stone weights as per auditor (as escaped JSON array)</p><p> </p><p> </p> | <p>\[{"item\_id":"234","item\_type":"bangle","item\_count":5,"item\_description":"testing", "item\_gross\_weight": "23.0", "item\_stone\_weight": "2.0", "item\_net\_weight": "2.0","item\_purity": "91.0", "remarks": "Changed gross weight"},{"item\_id":"23","item\_type":"chain","item\_count":1,"item\_description":"testing", "item\_gross\_weight": "3.0", "item\_stone\_weight": "2.0","item\_net\_weight": "2.0","item\_purity": "91.0", "remarks": "Changed gross weight"}]</p><p> </p><p> </p> |
| <p><strong>remarks</strong></p><p> </p><p> </p>             | <p>Any remarks from auditor</p><p> </p><p> </p>                                                               | <p>Looks Good</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| <p><strong>updated\_at</strong></p><p> </p><p> </p>         | <p>The auditor date-time</p><p> </p><p> </p>                                                                  | <p>2025-09-06 13:09:21</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <p><strong>spurious</strong></p><p> </p><p> </p>            | <p>Boolean</p><p> </p><p> </p>                                                                                | <p>is spurious</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| <p><strong>unacceptable</strong></p><p> </p><p> </p>        | <p>Boolean</p><p> </p><p> </p>                                                                                | <p>is unacceptable</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| <p><strong>excess\_funding</strong></p><p> </p><p> </p>     | <p>Boolean</p><p> </p><p> </p>                                                                                | <p>has excess funding</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| <p><strong>loan\_date</strong></p><p> </p><p> </p>          | <p><br></p><p> </p><p> </p>                                                                                   | <p>2025-09-06 13:09:21</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <p><strong>loan\_release\_date</strong></p><p> </p><p> </p> | <p>Date of loan released if any</p><p> </p><p> </p>                                                           | <p>2025-09-06 13:09:21</p><p> </p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                |

### Payload Examples

&#x20;

```
{
    "data": [{
    "loan_id": "534535345345",
    "purity": 5.0,
    "stone_weight": 6.0,
    "gross_weight": 5.0,
    "items": "
  [{\"item_id\":\"234\",\"item_type\":\"bangle\",\"item_count\":5,\"item_description
    \":\"testing\", \"item_gross_weight\": \"23.0\", \"item_stone_weight\": \"2.0\",
    \"item_purity\": \"91.0\", \"item_net_weight\": \"2.0\", \"remarks\": \"Changed gross weight\"},
    {\"item_id\":\"23\",\"item_type\":\"chain\",\"item_count\":1,\"item_description\":
    \"testing\", \"item_gross_weight\": \"3.0\", \"item_stone_weight\": \"2.0\",\"item_net_weight\": \"2.0\",
    \"item_purity\": \"91.0\", \"remarks\": \"Changed gross weight\"}]",
    "remarks": "Looks Good",
    "updated_at": "2025-09-06 13:09:21",
     "spurious": true,
     "unacceptable": true,
     "excess_funding": true,
     "loan_date": "2025-09-06 13:09:21",
     "loan_release_date": "2025-09-06 13:09:21"
    }],
    "nonce": "13042ad6a34be3dbb2a8334ccb2bec0f"
}
```

&#x20;**Notes:**

&#x20;This API is used for following purposes:

1. Fine tuning the model as per customer requests
2. Building accuracy dashboards


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apps.docs.rootflo.ai/ai-gold-auditor-app/gold-inspector-data-submission-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
